CREATE PROCEDURE GET_CONTRATOS 
@ID INT,
@FECHA DATE,
@REPRESENTANTELEGAL INT,
@PROVEEDOR INT,
@INMUEBLE INT,
@IMPORTE DECIMAL(15,2),
@CUENTA VARCHAR(20)
AS BEGIN
SELECT
    C.ID,
	C.CODIGO_CONTRATO,
	L.PATERNO AS PATERNO_LEGAL,
	L.MATERNO AS MATERNO_LEGAL,
	L.NOMBRES AS NOMBRES_LEGAL,
	L.TESTIMONIO,
	L.FECHAINICIAL,
	L.FECHAFINAL,
	L.FECHATESTIMONIO,
	L.NUMERONOTARIA,
    P.PATERNO AS PATERNO_PROVEEDOR,
    P.MATERNO AS MATERNO_PROVEEDOR,
    P.NOMBRES AS NOMBRES_PROVEEDOR,
    P.DOCUMENTO AS DOCUMENTO_PROVEEDOR,
    P.DOMICILIO AS DOMICILIO_PROVEEDOR,
    I.DIRECCION AS DIRECCION_INMUEBLE,
    I.CIUDAD,
    I.SUPERFICIE,
    I.NUMERODIRECCION,
    C.IMPORTE,
	C.LITERAL,
	C.CUENTA,
	C.NUMEROMESES,
	C.FECHAINICIALARRENDAMIENTO,
	C.FECHAFINALARRENDAMIENTO, 
	C.FECHATENOR,
	C.MES,
	C.ANIO
FROM
  CONTRATOS C
  INNER JOIN REPRESENTANTE_LEGAL L ON C.REPRESENTANTE_LEGAL = L.ID
  INNER JOIN PROVEEDOR P ON C.PROVEEDOR = P.ID
  INNER JOIN INMUEBLE I ON C.INMUEBLE = I.ID
WHERE
	(@ID is NULL OR C.ID = @ID) AND
	(@REPRESENTANTELEGAL is NULL OR C.REPRESENTANTE_LEGAL = @REPRESENTANTELEGAL) AND
	(@PROVEEDOR is NULL OR C.PROVEEDOR = @PROVEEDOR) AND
	(@INMUEBLE is NULL OR C.INMUEBLE = @INMUEBLE) AND
	(@IMPORTE is NULL OR C.IMPORTE = @IMPORTE) AND
	(@CUENTA is NULL OR C.CUENTA = @CUENTA)
END